File libdb_java-4_8-fix-java10-comp.patch of Package libdb-4_8.12488

Index: db-4.8.30/dist/configure.ac
===================================================================
--- db-4.8.30.orig/dist/configure.ac
+++ db-4.8.30/dist/configure.ac
@@ -416,7 +416,7 @@ if test "$db_cv_java" = "yes"; then
 	esac
 	AC_MSG_RESULT($JAVA_VERSION)
 	case "$JAVA_VERSION" in
-	1.[[3456789]]* | 1.[[1-9]][[0-9]]* | [[23456789]]* ) ;;
+	1.[[3456789]]* | 1.[[1-9]][[0-9]]* | [[23456789]]* | [[1-9]][[0-9]]* ) ;;
 	* )
 		AC_MSG_ERROR([Java version 1.3 or higher required, got $JAVA_VERSION]) ;;
 	esac
openSUSE Build Service is sponsored by